Update the properties of a video

Body Params
string
required

Key of the video which information to update.

string

Author of the video.

string

Tier one, IAB contextual content category for the video


Possible values include:

  • Automotive
  • Books and Literature
  • Business and Finance
  • Careers
  • Education
  • Events and Attractions
  • Family and Relationships
  • Fine Art
  • Food & Drink
  • Healthy Living
  • Hobbies & Interests
  • Home & Garden
  • Medical Health
  • Movies
  • Music and Audio
  • News and Politics
  • Personal Finance
  • Pets
  • Pop Culture
  • Real Estate
  • Religion & Spirituality
  • Science
  • Shopping
  • Sports
  • Style & Fashion
  • Technology & Computing
  • Television
  • Travel
  • Video Gaming
string

User-defined parameter. param part of the request parameters (after the ‘.’ separator) specifies name of the parameter. Parameter name should adhere to the following naming rules:

  • Custom param name can contain letters, numbers and the following punctuation characters: ‘.’, ‘_’, ‘-‘
  • Custom param name cannot start with a number or punctuation character
  • Custom param name cannot contain spaces
  • Do not use reserved names for custom parameters, reserved names include: file, tracks, sources, feedid, mediaid
  • Do not use any existing non-custom parameter names, for example: title, description, author, etc.

WARNING: Custom parameters that use a reserved name or an existing name are not guaranteed to be included in the output from the Delivery API.

User-defined parameter can be updated multiple times.

If parameter already exist in the database, it will be updated with the new value. If parameter name starts with ‘-‘, parameter with the same name (but without leading ‘-‘) will be deleted from the database.

integer

(signed integer) Video publish date. Specifies UTC date and time (in Unix timestamp format) when the video should be available for streaming.

string

Description of the video.

string

URL from where to fetch an update for the original video file. An update for the original video file will be downloaded and processed on the server using this URL. Applicable only when update_file parameter set to True.

integer

(float) Video duration in seconds. Should only be used if sourcetype is set to url.

integer

(signed integer) Video publish expiration date. Specifies UTC date and time (in Unix timestamp format) when the video should stop being available for streaming. If not set opr set to empty string the video will be available indefinitely.

string

Original file MD5 message digest. If supplied, it will be checked by the API. Applicable only when update_file parameter set to True.

string

Key of the Protection Rule that should be applied for this video.

integer

(unsigned integer) Original file size. If supplied, it will be checked by the API. Applicable only when update_file parameter set to True.

WARNING: The maximum allowed video file size is 25 GiB

string

Video source format
Possible values include:

  • aac: For audios with MIME type audio/aac
  • flv: For videos with MIME type video/flv
  • m3u8: For a HLS M3U8 manifest URL
  • mp3: For audios with MIME type `audio/mpeg
  • mp4: For videos with MIME type video/mp4.
  • smil: For a SMIL manifest URL
  • vorbis: For audios with MIME type audio/ogg
  • webm: For videos with MIME type video/webm
string

Only if sourcetype is set to url, URL of the video source.

If sourceformat is youtube, sourceurl can be specified as a full URL to the YouTube video or as an YouTube Video ID.

string

Tags for the video. Multiple tags should be comma-separated.

string

Title of the video.

string

The timecode in point for trimming the source in the format HH:MM:SS.mmm, for example 03:02:45.106 for 3 hours, 2 minutes, and 45.106 seconds.

If not specified and trim_out_point is specified, then the trim_in_point will automatically be set to 00:00:00.000. Likewise, if the value is out of bounds, then the trim_in_point will automatically be set to 00:00:00.000.

string

The timecode out point for trimming the source in the format HH:MM:SS.mmm or 03:02:45.106 for 3 hours, 2 minutes, and 45.106 seconds.

If not specified and trim_in_point is specified, then the trim_out_point will automatically be set to the duration of the original video. Likewise, if the value is out of bounds, then the trim_out_point will automatically be set to the duration of the original video.

string

Specifies MIME type of the video file that will be uploaded. Applicable only if upload_method is set to s3. If MIME type provided, it will be used to generate S3 upload signature.

string
enum

Specifies if original file should be updated:

  • True: Update original file. A link block will be returned to which the file can be uploaded.

  • False: Do not update original file.

Default is False.

After new original file successfully uploaded, video status will be set to updating if previous status was ready or failed. Video status will be set to ready when new original and default conversion are ready for streaming. Video status will be set to failed if new original or default conversion has failed and previous status was failed or to ready if previous status was ready.

If new original or default conversion has failed, //video/error/message parameter in the /videos/list and /videos/show calls responses will indicate the reason of the failure. Error message parameter is not present when new original file and default conversion are successfully processed.

WARNING: Original file can be only updated if the video has ready or failed status.

Allowed:
string

Video upload method:

  • single: Video will be uploaded as a single file.

  • multipart: Video will be uploaded in multiple parts using resumable protocol.

  • s3: Video will be uploaded as a single file to AWS S3.

    WARNING: S3 file uploads are limited to files less than 5GB in size. For larger files, a different upload method will need to be used.

Default is single.

Headers
string
enum
Defaults to application/xml

Generated from available response content types

Allowed:
Responses

Language
URL
LoadingLoading…
Response
Choose an example:
Example response (update_file == False)
Example response (update_file == True)
Example response (update_file == True, upload_method == multipart)
Example response (upload_method == s3)
Example response (update_file == True, download_url is specified)
Response
© 2007- Longtail Ad Solutions, Inc.